# Revision history for phonetic-languages-rhythmicity

## 0.1.0.0 -- 2020-10-08

* First version. Released on an unsuspecting world.

## 0.1.0.1 -- 2020-10-08

* First version revised A. Improved computational simplicity.

## 0.1.1.0 -- 2020-10-19

* First version revised B. Some code improvements.

## 0.1.2.0 -- 2020-10-20

* First version revised C. Some code improvements.

## 0.2.0.0 -- 2021-02-01

* Second version. Added a new module Languages.Rhythmicity.Factor with somewhat 'improved' versions of the similar functions
in the Languages.Rhythmicity module. Some tuning for the all functions done. Some minor documentation improvements.

## 0.3.0.0 -- 2021-07-19

* Third version. Added a new module Rhythmicity.TwoFourth with a different approach to the rhythmicity evaluation.
It is highly experimental.

## 0.3.1.0 -- 2021-07-20

* Third version revised A. Added new functions to the module Rhythmicity.TwoFourth. Some code optimizations.

## 0.3.2.0 -- 2021-07-20

* Third version revised B. Some changes to the code and documentation in the Rhythmicity.TwoFourth module.

## 0.4.0.0 -- 2021-07-27

* Fourth version. Fixed some issues with the Rhythmicity.TwoFourth module. Added a new module Rhythmicity.PolyRhythm.
Added GHC extension usage of MultiWayIf.

## 0.5.0.0 -- 2021-07-28

* Fifth version. Added special data type and related parsing functionality to the module Rhythmicity.PolyRhythm.

## 0.5.1.0 -- 2021-07-30

* Fifth version revised A. Fixed issues with fixed point 1.0 for increasing and decreasing functions in the module
Rhythmicity.PolyRhythm. 

## 0.5.2.0 -- 2021-08-04

* Fifth version revised B. Added README.md file with conceptual description for the polyrhythmic ideas used in the moudules.

## 0.5.3.0 -- 2021-08-07

* Fifth version revised C. Improved the increasing and decreasing functions to reduce irregular and asymmetric
behaviours for the polyrhythm module. Added the corresponding information to the README.md file.

## 0.5.4.0 -- 2021-08-07

* Fifth version revised D. Fixed issue with x == 0.0 for the long lines for the numeric increasing and decreasing
functions for the polyrhythmicity.

## 0.6.0.0 -- 2021-08-09

* Sixth version. Changed the increasing and decreasing functions for the polyrhythms and added new possibilities
among which there are also generalized kernel-based functions. This should linearize and allow to specify different
kernels that allows to control which parts of the line are the most important and which are less. Added the
information to the README.md file.

## 0.6.0.1 -- 2021-08-09

* Sixth version revised A. Fixed issues with deprecated documentation for the polyrhythmicity functions.
